#!/bin/bash
myid=`whoami`
echo $myid
SrcDirName=`ls .scratchbox2 | grep user`
echo '<'$SrcDirName'>'
if [ "$SrcDirName" != " " ]
then
	TargetDirName=${SrcDirName/user/$myid}
	mv .scratchbox2/$SrcDirName .scratchbox2/$TargetDirName
else
	TargetDirName=`ls .scratchbox2 | grep sbs-armel_home_`
fi
echo 'TargetDirName='$TargetDirName
ConfigFileName=".scratchbox2/"$TargetDirName"/sb2.config"
echo 'ConfigFileName='$ConfigFileName
sed -i 's/user/'"$myid"'/g' $ConfigFileName
sed -i 's/user/'"$myid"'/g' ".scratchbox2/config"
ConfigDirName=".scratchbox2/"$TargetDirName"/sb2.config.d"
echo 'ConfigDirName='$ConfigDirName
sed -i 's/user/'"$myid"'/g' $ConfigDirName"/gcc.config.lua"
sed -i 's/user/'"$myid"'/g' $ConfigDirName"/gcc.config.sh"
sed -i 's/user/'"$myid"'/g' $ConfigDirName"/host-ld_library_path.conf"
sed -i 's/user/'"$myid"'/g' $ConfigDirName"/sb2-init-args"
