Name:       mtd-utils
Summary:    Memory Technology Device Utilities
Version:    20110107
Release:    1
Group:      TO_BE/FILLED_IN
License:    GPLv2
URL:        http://www.linux-mtd.infradead.org/
Source0:    mtd-utils-%{version}.tar.gz
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  lzo-devel

%description
Utilities for manipulating memory technology devices, such as flash
memory, Disk-On-Chip, or ROM.  Includes mkfs.jffs2, a tool to create
JFFS2 (journaling flash file system) filesystems.

%prep
%setup -q -n %{name}-%{version}

%build


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/bin/
for i in ubimkvol ubiformat ubiattach ubidetach; do
	mv %{buildroot}/usr/sbin/$i %{buildroot}/bin/
done


%files
/bin/*
/usr/sbin/*
